import java.io.*;
import java.lang.reflect.Array;
import java.util.*;

public class Gen {

	static int done = 0;

	static final Random rand = new Random(556668949239L);

	final int maxSenteces = 20, maxWords = 100;
	
	String[] word = new String[]{
			"bottle",
			"jsflkjdflskcxjojw",
			"dfjiclx",
			"a",
			"e",
			"cat",
			"jeiwojfdlkljvxkjokjfowjfdslahkdjahfkajdfowjf",
			"fjdiec",
			"eiocx",
			"eowoqwe",
			"fcixoennnnnnn",
			"aaaaaaaaaaaaaaaaaaaaaaaaaaaa",
			"bjcoxjvewnwnlcoxu",
			"dsjoeknn"
	};
	
	static void print(String s) throws IOException {
		done++;
		System.err.println(done);
		PrintWriter out;
		if (done < 10)
			out = new PrintWriter("../tests/0" + String.valueOf(done));
		else
			out = new PrintWriter("../tests/" + String.valueOf(done));
		
		out.println(s);
			
		out.close();
	}

	String genSample() {
		return "you should solve this problem. its easy.";
	}

	String genSentence(int n) {
		StringBuilder s = new StringBuilder();
		for (int i = 0; i < n; i++) {
			s.append(word[rand.nextInt(word.length)]);
			if (i != n - 1) {
				s.append(" ");
			} else {
				s.append(".");
			}
		}
		return s.toString();
	}
	
	String genRandomTest() {
		StringBuilder s = new StringBuilder();
		for (int i = 0; i < maxSenteces; i++) {
			s.append(genSentence(rand.nextInt(maxWords) + 1));
			if (i != maxSenteces - 1) {
				s.append(" ");
			}
		}
		return s.toString();
	}
	
	public void run() throws IOException {
		File dir = new File("../tests");
		if (!dir.exists())
			dir.mkdir();
		done = 0;
		
		print(genSample());
		print("abacaba dabacaba.");
		print("dddsafafdsdfsakfjlkdjfaljdlajfldsafldjfalfj.");
		print("fdjfklsj jj jsldjfkld.");
		print("adafjl dfjsljfs. dsfljldskfjsl. dkdkiejwo djklj jkjclx.");
		print("a b c d e f. a b.");
		print("a. b. c. d. e.");
		print("fdfjkli ekjl dsjlf. jdkljfsi lesewo. djlcoxels.");
		for (int i = 0; i < 30; i++) {
			print(genRandomTest());
		}
	}
	
	public static void main(String[] args) throws IOException {
		new Gen().run();
	}
}